Skip to main content
POST
/
trading
/
orders
/
{orderId}
/
requirement
/
data
TypeScript
const response: Promise<FireblocksResponse<void>> = fireblocks.tradingBeta.submitOrderRequirements(tradingBetaApiSubmitOrderRequirementsRequest);
{
  "code": 900,
  "message": "Invalid base amount: must be greater than 0"
}

Headers

Idempotency-Key
string

A unique identifier for the request. If the request is sent multiple times with the same idempotency key, the server will return the same response as the first request. The idempotency key is valid for 24 hours.

Path Parameters

orderId
string
required

The ID of the order to submit the order requirement response for.

Minimum string length: 1

Body

application/json

Body of POST /trading/orders/{orderId}/requirement/data. Carries the textual response (data). Any required files are uploaded separately via POST /trading/orders/{orderId}/requirement/file.

data
object
required

Free-form object that MUST conform to the requiredData JSON Schema returned by the GET endpoint. Carries text/select fields.

Example:
{
"fullName": "Jane Doe",
"nationality": "US"
}

Response

Order requirement submission accepted for processing.